# Change the container image of an image-based deployment Source: https://docs.orchard.hackclub.com/api/operations/deployments_image_update/ `PATCH /apiv1/deployments/{id}/image` Operation ID: `deployments_image_update` Auth: authenticated (scope: deploy) ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `id` | path | Yes | | ## Request body ```json { "properties": { "image": { "type": "string" } }, "required": [ "image" ], "type": "object" } ``` ## Responses ### 200: OK ```json { "additionalProperties": {}, "properties": { "autoDeployBranch": { "type": [ "string", "null" ] }, "autoDeployEnabled": { "type": "boolean" }, "autoDeployPaths": { "items": { "type": "string" }, "type": "array" }, "buildCommand": { "type": [ "string", "null" ] }, "builderOverride": { "enum": [ "firecracker", "kubernetes", null ], "type": [ "string", "null" ] }, "buildError": { "type": [ "string", "null" ] }, "buildFromRoot": { "type": "boolean" }, "buildLogs": { "type": [ "string", "null" ] }, "buildStatus": { "type": "string" }, "buildStep": { "type": [ "string", "null" ] }, "buildStepTimestamps": { "additionalProperties": {}, "type": [ "object", "null" ] }, "buildType": { "enum": [ "dockerfile", "railpack" ], "type": "string" }, "buildWithDepot": { "type": "boolean" }, "composeServiceName": { "type": [ "string", "null" ] }, "composeStackId": { "type": [ "string", "null" ] }, "cpuRequestMilli": { "type": [ "number", "null" ] }, "createdAt": { "type": "string" }, "createdBy": { "type": [ "string", "null" ] }, "deployStrategy": { "enum": [ "rollingUpdate", "recreate", "blueGreen" ], "type": "string" }, "detectedConfig": { "additionalProperties": {}, "type": [ "object", "null" ] }, "dockerfileHealthCheck": { "properties": { "command": { "items": { "type": "string" }, "type": "array" }, "interval": { "type": "number" }, "retries": { "type": "number" }, "startPeriod": { "type": "number" }, "timeout": { "type": "number" } }, "required": [ "command" ], "type": [ "object", "null" ] }, "dockerfilePath": { "type": [ "string", "null" ] }, "dockerfileTarget": { "type": [ "string", "null" ] }, "effectiveImagePullPolicy": { "description": "What the cluster is actually doing, after deriving. Render this.", "enum": [ "Always", "IfNotPresent" ], "type": "string" }, "environmentId": { "type": [ "string", "null" ] }, "framework": { "type": [ "string", "null" ] }, "githubBranch": { "type": [ "string", "null" ] }, "githubInstallationId": { "anyOf": [ { "type": "string" }, { "type": "number" }, { "type": "null" } ] }, "githubRepo": { "type": [ "string", "null" ] }, "healthCheckCommand": { "type": [ "string", "null" ] }, "healthCheckEnabled": { "type": "boolean" }, "healthCheckInterval": { "type": "number" }, "healthCheckOverride": { "type": "boolean" }, "healthCheckPath": { "type": [ "string", "null" ] }, "healthCheckPort": { "type": [ "number", "null" ] }, "healthCheckRetries": { "type": "number" }, "healthCheckTimeout": { "type": "number" }, "healthCheckType": { "type": "string" }, "icon": { "type": [ "string", "null" ] }, "id": { "type": "string" }, "image": { "type": [ "string", "null" ] }, "imagePullPolicy": { "description": "The override. null means it is derived from the image tag.", "enum": [ "Always", "IfNotPresent", null ], "type": [ "string", "null" ] }, "installCommand": { "type": [ "string", "null" ] }, "livenessEnabled": { "type": "boolean" }, "memoryRequestBytes": { "anyOf": [ { "type": "string" }, { "type": "number" }, { "type": "null" } ] }, "name": { "type": "string" }, "namespace": { "type": "string" }, "outputDirectory": { "type": [ "string", "null" ] }, "persistentBuildCache": { "type": "boolean" }, "projectId": { "type": "string" }, "readinessEnabled": { "type": "boolean" }, "replicas": { "type": "number" }, "rootDirectory": { "type": [ "string", "null" ] }, "startCommand": { "type": [ "string", "null" ] }, "startupEnabled": { "type": "boolean" }, "startupFailureThreshold": { "type": "number" }, "status": { "type": "string" }, "stopped": { "type": "boolean" }, "tailscaleExposed": { "type": "boolean" }, "tailscaleHostname": { "type": [ "string", "null" ] }, "templateInstanceId": { "type": [ "string", "null" ] }, "updatedAt": { "type": "string" } }, "required": [ "id", "projectId", "name", "namespace", "replicas", "stopped", "status", "buildStatus", "createdAt", "updatedAt" ], "type": "object" } ```